;*****************************************
;* 
;*****************************************
SECTION "BANK04", CODE,BANK[4]
    

;*****************************************
;* 
;*****************************************
Addr_013A77:
	ld HL,$FF9A                           
	ld BC, $0006                          
	call CLEARMEM ;04:0437             
	ld HL,Data_Setup                           
	ld A,[STATEGAME] ;04:C0A0                 
	rst $20                               
	push DE                               
	pop HL 
        
	ld A,[HL+]   
	ldh [R_LCDC],A 
    
	ld B, $08                             
	bit 2, A                              
	jr Z,.L_013A94                      
	ld B, $10                           
.L_013A94:
	ld A,B                                
	ldh [$FFB7],A                     
	ld A,[HL+]                            
	ld [$C5CF],A ;04:C5CF                 
	push HL    
	call CLEARSCREEN ;04:0448             
	pop HL                                
    
    
	;SetPal BKG         
	ld A,[HL+]                            
	ld E,A                          
	ld A,[HL+] 
	ld D,A 
    push HL
    ld H,D
    ld L,E
    ld D,$00
    call SetPalettes;_Immediate
	pop HL
    
	;SetPal SPR         
	ld A,[HL+]                            
	ld E,A                          
	ld A,[HL+] 
	ld D,A 
    push HL
    ld H,D
    ld L,E
    ld D,$01
    call SetPalettes;_Immediate
	pop HL                                

    ld A,0
    ld [MEM_VBK_BANK],A 
	call SetFullTiles  
    ld A,1
    ld [MEM_VBK_BANK],A 
	call SetFullTiles 
    ld A,0
    ld [MEM_VBK_BANK],A 


	ld A,[HL+]                            
	ldh [$FF4B],A                     
	ldh [$FFB5],A                     
	ld A,[HL+]                            
	ldh [$FF4A],A                     
	ld A,[HL+]                            
	ld [MEM_CA51],A ;04:D548                 
	ld A,[HL+]                            
	ld [MEM_WINDOW_X],A ;04:D591                 
	ld A,[HL+]                            
	ldh [$FFB0],A                     
	and A                                 
	ret Z  
    
    ld A,$20
    ld [MEM_CA50],A
    ld A,$00
    ld [MEM_CA52],A
    ld A,$F0
    ld [MEM_WINDOW_Y],A
	ret                                   
    
;*****************************************
;* 
;*****************************************
Data_Setup:
	DW SETUP_LOGO           ;00 State License                      
	DW SETUP_START_ENG      ;01 State Start                          
	DW SETUP_MAP            ;02 State Map                        
	DW SETUP_LEVEL          ;03 State Level                        
	DW SETUP_SHOP           ;04 State Map 2 ???? shop  
	DW SETUP_STAGECLEAR     ;05 State StageClear                        
	DW SETUP_GAMEOVER       ;06 State GameOver                         
	DW SETUP_MAP            ;07 State Map 3                        
	DW SETUP_MAP            ;08 State Island Lifted                         
	DW SETUP_FLY_ZIGZAG     ;09 State Flight Of ZigZag                         
	DW SETUP_COMIX_END      ;0a State End Comics                        
	DW SETUP_COMIX1         ;0b State First Comics                       
	DW $0000;SETUP_START_RUS      ;0c State Not Uses                          
	DW SETUP_OTHER          ;0d State Not Uses                         
	DW SETUP_OTHER          ;0e State Select Level                       
	DW $0000;SETUP_LANG           ;0f State Select Language                       
    
    
;*****************************************
SETUP_OTHER:    DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $AC,$AC,$8E,$90,$9E,$8D ; tile bank 0
                DB $AC,$AC,$8E,$90,$9E,$8D ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_COMIX1:   DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $7D,$7D,$7D,$7D,$9E,$D7 ; tile bank 0
                DB $AC,$AC,$8E,$90,$9E,$8D ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_COMIX_END:DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $AA,$AB,$91,$92,$9E,$90 ; tile bank 0
                DB $AA,$AB,$91,$92,$9E,$90 ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_MAP:      DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $AA,$AB,$8C,$A6,$9E,$8B ; tile bank 0
                DB $AA,$AB,$8C,$A6,$9E,$8B ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_LEVEL:    DB $40,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $7D,$7D,$7D,$7D,$7D,$7D ; tile bank 0
                DB $7D,$7D,$7D,$7D,$7D,$7D ; tile bank 1
                DB $00,$00,$00,$E0,$01

SETUP_LOGO:     DB $00,$00 ;R_LCDC CLS
                DW PAL_LOGO, PAL_LOGO
                DB $D0,$D1,$D2,$D3,$D0,$D1 ; tile bank 0
                DB $7D,$7D,$7D,$7D,$7D,$7D ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_START_ENG:DB $00,$00 ;R_LCDC CLS
                DW PAL_START_BG, PAL_START_SPR
                DB $D6,$7D,$74,$75,$72,$73 ; tile bank 0
                DB $7D,$7D,$7D,$7D,$7D,$7D ; tile bank 1
                DB $00,$00,$00,$00,$00

; SETUP_START_RUS:DB $00,$00 ;R_LCDC CLS
                ; DW PAL_OTHER_BG, PAL_OTHER_OBJ
                ; DB $AC,$AC,$B7,$B8,$9E,$B9 ; tile bank 0
                ; DB $AC,$AC,$B7,$B8,$9E,$B9 ; tile bank 1
                ; DB $00,$00,$00,$00,$00

SETUP_FLY_ZIGZAG:DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $BD,$BD,$BD,$BD,$BC,$BD ; tile bank 0
                DB $BD,$BD,$BD,$BD,$BC,$BD ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_GAMEOVER: DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $70,$70,$70,$70,$70,$71 ; tile bank 0
                DB $70,$70,$70,$70,$70,$71 ; tile bank 1
                DB $00,$00,$00,$00,$00

; SETUP_LANG:     DB $00,$00 ;R_LCDC CLS
                ; DW PAL_START_BG, PAL_START_SPR
                ; DB $D6,$7D,$74,$75,$72,$73 ; tile bank 0
                ; DB $7D,$7D,$7D,$7D,$7D,$7D ; tile bank 1
                ; DB $00,$00,$00,$00,$00

SETUP_STAGECLEAR:DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $AC,$AD,$77,$78,$9E,$76 ; tile bank 0
                DB $AC,$AD,$77,$78,$9E,$76 ; tile bank 1
                DB $00,$00,$00,$00,$00

SETUP_SHOP:     DB $00,$00 ;R_LCDC CLS
                DW PAL_OTHER_BG, PAL_OTHER_OBJ
                DB $AC,$AD,$7B,$7C,$79,$7A ; tile bank 0
                DB $AC,$AD,$7B,$7C,$79,$7A ; tile bank 1
                DB $00,$00,$00,$00,$00


PAL_START_BG:
    DW $0000,$085e,$22df,$7b52
    DW $0000,$085e,$22df,$3bbf
    DW $0000,$22df,$7b52,$3bbf
    DW $0000,$085e,$7b52,$3bbf
    DW $0000,$4c00,$22df,$7b52
    DW $0000,$22df,$7b52,$7fff
    DW $0000,$085e,$22df,$7fff
    DW $0000,$4c00,$22df,$7fff
PAL_START_SPR:
    DW $7c1f,$0000,$2929,$7fff
    DW $7c1f,$0000,$2929,$41ce
    DW $7c1f,$0000,$22df,$7c1f
    DW $7c1f,$0000,$3bbf,$7c1f
    DW $7c1f,$7c1f,$7c1f,$7c1f
    DW $7c1f,$7c1f,$7c1f,$7c1f
    DW $7c1f,$7c1f,$7c1f,$7c1f
    DW $7c1f,$7c1f,$7c1f,$7c1f


PAL_LOGO:
   DW $037e,$6404,$7ca9,$7fff
   DW $0000,$294a,$56b5,$7fff
   DW $001f,$14bf,$3dff,$7fff
   DW $001f,$66df,$7fff,$ffff
   DW $6404,$7f76,$7fff,$ffff
   DW $0000,$0000,$0000,$0000
   DW $0000,$0000,$0000,$0000
   DW $0000,$0000,$0000,$0000







PAL_OTHER_BG:
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1

PAL_OTHER_OBJ:
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1
   DW $7fff,$56b5,$294a,$0000  ;1











































