;-------------------------------------------------------------------
;MEMORY
;-------------------------------------------------------------------


MEM_CURRENT_BANK     EQU $FF98 ; $FF00+$98
MEM_OLD_BANK         EQU $FF99 ; $FF00+$99

MEM_FERRULE_1        EQU $C91D ;   (1)
MEM_FERRULE_2        EQU $C91E ;   (2)
MEM_FERRULE_3        EQU $C91F ;   (3)

MEM_LIFE             EQU $C911 ;     5 RAM[0X911]
MEM_GLOBAL_LIFE      EQU $C912 ; P      9 RAM[0X912]


MEM_CURRENT_LEVEL    EQU $C900 ;   .

MEM_HERO_ANIM        EQU $C706 ;    : 8  , 7 




MEM_DELAY           EQU $FFBC ;????   ??????7
STATEGAME           EQU $C0A0

;*****************************************
;* 
;*****************************************

SYSTEM_R_IE    EQU $FF91


;*****************************************
LVLPOS_YL	EQU $C0A9                
LVLPOS_YH	EQU $C0AA               
LVLPOS_XL	EQU $C0AB             
LVLPOS_XH	EQU $C0AC              


MEM_STACK   EQU $CFFF;$DFFF 


MEM_SND      EQU $CE00;$DE00 

MEM_SND_DE00 EQU MEM_SND+$00
MEM_SND_DE01 EQU MEM_SND+$01
MEM_SND_DE14 EQU MEM_SND+$14
MEM_SND_DE16 EQU MEM_SND+$16
MEM_SND_DE17 EQU MEM_SND+$17
MEM_SND_DE18 EQU MEM_SND+$18
MEM_SND_DE19 EQU MEM_SND+$19
MEM_SND_DE1A EQU MEM_SND+$1A
MEM_SND_DE1B EQU MEM_SND+$1B
MEM_SND_DE1C EQU MEM_SND+$1C
MEM_SND_DE1D EQU MEM_SND+$1D
MEM_SND_DE1E EQU MEM_SND+$1E
MEM_SND_DE22 EQU MEM_SND+$22
MEM_SND_DE23 EQU MEM_SND+$23
MEM_SND_DE24 EQU MEM_SND+$24
MEM_SND_DE27 EQU MEM_SND+$27
MEM_SND_DE28 EQU MEM_SND+$28
MEM_SND_DE29 EQU MEM_SND+$29
MEM_SND_DE2B EQU MEM_SND+$2B
MEM_SND_DE2C EQU MEM_SND+$2C
MEM_SND_DE2D EQU MEM_SND+$2D
MEM_SND_DE2E EQU MEM_SND+$2E
MEM_SND_DE2F EQU MEM_SND+$2F
MEM_SND_DE30 EQU MEM_SND+$30
MEM_SND_DF26 EQU MEM_SND+$126
MEM_SND_DF27 EQU MEM_SND+$127
MEM_SND_DF28 EQU MEM_SND+$128
MEM_SND_DF29 EQU MEM_SND+$129
MEM_SND_DF2B EQU MEM_SND+$12B
MEM_SND_DF2C EQU MEM_SND+$12C
MEM_SND_DF2D EQU MEM_SND+$12D
MEM_SND_DF2E EQU MEM_SND+$12E ;-     0.   
MEM_SND_DF2F EQU MEM_SND+$12F
MEM_SND_DF33 EQU MEM_SND+$133
MEM_SND_DF34 EQU MEM_SND+$134
MEM_SND_DF35 EQU MEM_SND+$135
MEM_SND_DF36 EQU MEM_SND+$136
MEM_SND_DF37 EQU MEM_SND+$137
MEM_SND_DF38 EQU MEM_SND+$138
MEM_SND_DF39 EQU MEM_SND+$139
MEM_SND_DF3A EQU MEM_SND+$13A
MEM_SND_DF3B EQU MEM_SND+$13B
MEM_SND_DF3C EQU MEM_SND+$13C
MEM_SND_DF3D EQU MEM_SND+$13D
MEM_SND_DF3E EQU MEM_SND+$13E
MEM_SND_DF3F EQU MEM_SND+$13F
MEM_SND_DF40 EQU MEM_SND+$140
MEM_SND_DF41 EQU MEM_SND+$141
MEM_SND_DF42 EQU MEM_SND+$142
MEM_SND_DF43 EQU MEM_SND+$143
MEM_SND_DF44 EQU MEM_SND+$144

MEM_CA50        EQU $CA50 ;$D500 ; height  
MEM_CA51        EQU MEM_CA50+$01 ;$D548
MEM_CA52        EQU MEM_CA50+$02 ;$D549
MEM_WINDOW_X    EQU MEM_CA50+$03 ;$D591 ;  X    
MEM_WINDOW_Y    EQU MEM_CA50+$04 ;$D592 ;  Y    

MEM_C100        EQU $C100 ; $D600 -  FF.  .   ,     .
MEM_C200        EQU $C200 ; $DB00 -   
MEM_C280        EQU $C280 ; $DB80 -   
MEM_C300        EQU $C300 ; $DC00 -    
MEM_C400        EQU $C400 ; $DD00 -    /    ...  .
MEM_D000        EQU $D000 ; $D700 -   

MEM_CB00        EQU $CB00 ;
FADE_FLAG       EQU $CB80 ;
MEM_VBK_BANK    EQU $CB81 ;

;*****************************************
FADE_RGB_BKG    EQU  $CC00
FADE_RGB_SPR    EQU  FADE_RGB_BKG+$0060
FADE_PAL_BKG    EQU  FADE_RGB_BKG+$00C0
FADE_PAL_SPR    EQU  FADE_RGB_BKG+$0100

;*****************************************


spbak	EQU $DE00 ;??????????????????????????












; SECTION "MEMORY", BSS[$C000]
; SECTION "H_RAM", HRAM

